Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QAbstractSlider.SliderAction

    java.lang.Object
      java.lang.Enum<QAbstractSlider.SliderAction>
          com.trolltech.qt.gui.QAbstractSlider.SliderAction

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QAbstractSlider.SliderAction>

Enclosing class:
  QAbstractSlider

    public static enum QAbstractSlider.SliderAction

extends java.lang.Enum<QAbstractSlider.SliderAction>
implements QtEnumerator

Press link for info on QAbstractSlider.SliderAction

Enum Constant Summary
`SliderMove` Internal.
`SliderNoAction` Internal.
`SliderPageStepAdd` Internal.
`SliderPageStepSub` Internal.
`SliderSingleStepAdd` Internal.
`SliderSingleStepSub` Internal.
`SliderToMaximum` Internal.
`SliderToMinimum` Internal.

Method Summary
`static QAbstractSlider.SliderAction` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractSlider.SliderAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QAbstractSlider.SliderAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SliderNoAction

    public static final QAbstractSlider.SliderAction SliderNoAction

  Internal.

### SliderSingleStepAdd

    public static final QAbstractSlider.SliderAction SliderSingleStepAdd

  Internal.

### SliderSingleStepSub

    public static final QAbstractSlider.SliderAction SliderSingleStepSub

  Internal.

### SliderPageStepAdd

    public static final QAbstractSlider.SliderAction SliderPageStepAdd

  Internal.

### SliderPageStepSub

    public static final QAbstractSlider.SliderAction SliderPageStepSub

  Internal.

### SliderToMinimum

    public static final QAbstractSlider.SliderAction SliderToMinimum

  Internal.

### SliderToMaximum

    public static final QAbstractSlider.SliderAction SliderToMaximum

  Internal.

### SliderMove

    public static final QAbstractSlider.SliderAction SliderMove

  Internal.

Method Detail

### values

    public static final QAbstractSlider.SliderAction[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QAbstractSlider.SliderAction c : QAbstractSlider.SliderAction.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QAbstractSlider.SliderAction valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QAbstractSlider.SliderAction resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD